Skip to main content
GET
/
v3
/
stores
/
{store_id}
/
public
/
locations
/
{location_id}
/
postal-codes
List storefront delivery postal codes
curl --request GET \
  --url https://api.scalev.com/v3/stores/{store_id}/public/locations/{location_id}/postal-codes \
  --header 'X-Scalev-Storefront-Api-Key: <x-scalev-storefront-api-key>'
{
  "data": [
    {
      "postal_code": "10510"
    }
  ],
  "is_paginated": false
}

Headers

X-Scalev-Storefront-Api-Key
string
required

Publishable storefront public API key for the target store. Page public API keys are not accepted on Storefront public routes.

Path Parameters

store_id
string
required

Store unique_id.

location_id
integer
required

Legacy numeric location ID.

Query Parameters

Optional postal code search within the selected location.

Response

Postal code list

data
object[]
required
is_paginated
enum<boolean>
required
Available options:
false